## org.eclipse.emf.ocl.uml.impl
Class ConstraintImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.ENamedElementImpl
                              org.eclipse.emf.ocl.uml.impl.ConstraintImpl

All Implemented Interfaces:
  Notifier, EModelElement, ENamedElement, EObject, EStructuralFeature.Internal.DynamicValueHolder, InternalEObject, Constraint, Visitable

    public class ConstraintImpl

extends ENamedElementImpl
implements Constraint

An implementation of the model object 'Constraint'.

The following features are implemented:

- `Instance Var Name`
- `Body`
- `Constrained Element`
- `Stereotype`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected OCLExpression` `body` The cached value of the '`Body`' containment reference
`protected EList` `constrainedElement` The cached value of the '`Constrained Element`' reference list
`static String` `copyright`
`protected static String` `INSTANCE_VAR_NAME_EDEFAULT` The default value of the '`Instance Var Name`' attribute
`protected String` `stereotype` The cached value of the '`Stereotype`' attribute
`protected static String` `STEREOTYPE_EDEFAULT` The default value of the '`Stereotype`' attribute

Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`name, NAME_EDEFAULT`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eContainer`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ocl.uml.Constraint
`BODY, DEFINITION, DERIVATION, INITIAL, INVARIANT, POSTCONDITION, PRECONDITION`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `ConstraintImpl()`

Method Summary
`Object` `accept(Visitor v)`
`NotificationChain` `basicSetBody(OCLExpression newBody, NotificationChain msgs)`
`Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`OCLExpression` `getBody()`
`EList` `getConstrainedElement()`
`String` `getInstanceVarName()`
`String` `getStereotype()`
`void` `setBody(OCLExpression newBody)`
`void` `setInstanceVarName(String instanceVarName)` Sets the instance var name
`void` `setStereotype(String newStereotype)`
`String` `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eInverseAdd, eObjectForURIFragmentSegment, eSetDirectResource, eURIFragmentSegment, freeze, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eBasicSetContainer, eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI, eSettings`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### copyright

    public static final String copyright

  See Also:
    Constant Field Values

### INSTANCE_VAR_NAME_EDEFAULT

    protected static final String INSTANCE_VAR_NAME_EDEFAULT

  The default value of the '`Instance Var Name`' attribute.

  See Also:
    `getInstanceVarName()`

### body

    protected OCLExpression body

  The cached value of the '`Body`' containment reference.

  See Also:
    `getBody()`

### constrainedElement

    protected EList constrainedElement

  The cached value of the '`Constrained Element`' reference list.

  See Also:
    `getConstrainedElement()`

### STEREOTYPE_EDEFAULT

    protected static final String STEREOTYPE_EDEFAULT

  The default value of the '`Stereotype`' attribute.

  See Also:
    `getStereotype()`

### stereotype

    protected String stereotype

  The cached value of the '`Stereotype`' attribute.

  See Also:
    `getStereotype()`

Constructor Detail

### ConstraintImpl

    protected ConstraintImpl()

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `ENamedElementImpl`

### getBody

    public OCLExpression getBody()

  Specified by:
    `getBody` in interface `Constraint`

### basicSetBody

    public NotificationChain basicSetBody(OCLExpression newBody,
                                          NotificationChain msgs)

### setBody

    public void setBody(OCLExpression newBody)

  Specified by:
    `setBody` in interface `Constraint`
  Parameters:
    `newBody` - the new value of the 'Body' containment reference.
  See Also:
    `Constraint.getBody()`

### getInstanceVarName

    public String getInstanceVarName()

  Specified by:
    `getInstanceVarName` in interface `Constraint`
  Returns:
    the variable name for "self" in the body of the expression

### setInstanceVarName

    public void setInstanceVarName(String instanceVarName)

  Sets the instance var name

  Specified by:
    `setInstanceVarName` in interface `Constraint`

### accept

    public Object accept(Visitor v)

  Description copied from interface: `Visitable`

  Specified by:
    `accept` in interface `Visitable`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `EModelElementImpl`

### eGet

    public Object eGet(int featureID,
                       boolean resolve,
                       boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  Overrides:
    `eGet` in class `ENamedElementImpl`

### eSet

    public void eSet(int featureID,
                     Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  Overrides:
    `eSet` in class `ENamedElementImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  Overrides:
    `eUnset` in class `ENamedElementImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  Overrides:
    `eIsSet` in class `ENamedElementImpl`

### getConstrainedElement

    public EList getConstrainedElement()

  Specified by:
    `getConstrainedElement` in interface `Constraint`

### getStereotype

    public String getStereotype()

  Specified by:
    `getStereotype` in interface `Constraint`
  Returns:
    the value of the 'Stereotype' attribute.
  See Also:
    `Constraint.setStereotype(String)`, `UMLPackage.getConstraint_Stereotype()`

### setStereotype

    public void setStereotype(String newStereotype)

  Specified by:
    `setStereotype` in interface `Constraint`
  Parameters:
    `newStereotype` - the new value of the 'Stereotype' attribute.
  See Also:
    `Constraint.getStereotype()`

### toString

    public String toString()

  Overrides:
    `toString` in class `ENamedElementImpl`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.